import { FormControl as y } from "@vue-interface/form-control";
import { defineComponent as F, resolveComponent as m, resolveDirective as g, openBlock as a, createElementBlock as c, normalizeClass as f, withDirectives as B, createElementVNode as l, mergeProps as N, vModelCheckbox as S, renderSlot as o, createTextVNode as p, toDisplayString as t, normalizeProps as b, guardReactiveProps as u, createBlock as V, withCtx as k, createCommentVNode as v, createVNode as E } from "vue";
const D = F({
  name: "CheckboxField",
  extends: y,
  props: {
    /**
     * The checked values
     *
     * @property String
     */
    checked: Boolean,
    /**
     * The checked values.
     *
     * @property any
     */
    value: {
      type: [String, Number, Boolean, Array, Object],
      default: void 0
    },
    /**
     * The class name assigned to the control element
     *
     * @property String
     */
    formControlClass: {
      type: String,
      default: "form-check"
    },
    /**
     * The default label class assigned to the label element.
     */
    labelClass: {
      type: [Object, String],
      default: "form-check-label"
    }
  },
  computed: {
    inlineClass() {
      return this.inline && "form-check-inline";
    }
  }
}), O = (e, s) => {
  const n = e.__vccOpts || e;
  for (const [d, i] of s)
    n[d] = i;
  return n;
}, P = ["id", "value"], T = ["for"], j = {
  invalid: "",
  class: "invalid-feedback"
}, w = /* @__PURE__ */ l("br", null, null, -1), z = {
  valid: "",
  class: "valid-feedback"
};
function A(e, s, n, d, i, G) {
  const h = m("FormControlErrors"), C = m("FormControlFeedback"), $ = g("bind-events");
  return a(), c("div", {
    class: f(["form-check", { ...e.formGroupClasses }])
  }, [
    B(l("input", N({
      id: e.id,
      ref: "field",
      "onUpdate:modelValue": s[0] || (s[0] = (r) => e.model = r)
    }, e.controlAttributes, {
      value: e.value,
      type: "checkbox"
    }), null, 16, P), [
      [S, e.model],
      [$]
    ]),
    o(e.$slots, "label", {}, () => [
      l("label", {
        ref: "label",
        class: f(e.labelClass),
        for: e.id
      }, [
        o(e.$slots, "default", {}, () => [
          p(t(e.label), 1)
        ])
      ], 10, T)
    ]),
    o(e.$slots, "errors", b(u({ error: e.error, errors: e.errors, id: e.$attrs.id, name: e.$attrs.name })), () => [
      e.error || e.errors ? (a(), V(h, {
        key: 0,
        id: e.$attrs.id,
        name: e.$attrs.name,
        error: e.error,
        errors: e.errors
      }, {
        default: k(({ error: r }) => [
          l("div", j, [
            p(t(r), 1),
            w
          ])
        ]),
        _: 1
      }, 8, ["id", "name", "error", "errors"])) : v("", !0)
    ]),
    o(e.$slots, "feedback", b(u({ feedback: e.feedback })), () => [
      E(C, { feedback: e.feedback }, {
        default: k(({ feedback: r }) => [
          l("div", z, t(r), 1)
        ]),
        _: 1
      }, 8, ["feedback"])
    ]),
    o(e.$slots, "help", {}, () => [
      e.helpText ? (a(), c("small", {
        key: 0,
        ref: "help"
      }, t(e.helpText), 513)) : v("", !0)
    ])
  ], 2);
}
const U = /* @__PURE__ */ O(D, [["render", A]]);
export {
  U as CheckboxField
};
//# sourceMappingURL=checkbox-field.js.map
